import Toast from '@vant/weapp/toast/toast';
const _Http = getApp().globalData.http,
    loginMsg = require("./modules/login");
Page({

    /**
     * 页面的初始数据
     */
    data: {
        isAgree: true,
        disabled: true, //是否禁用
        loading: false, //登陆中
    },
    onLoad(options) {},
    /* 微信登录 */
    wechatLogin() {
        if (!this.data.isAgree) return Toast({
            message: '请阅读并勾选用户协议',
            position: 'bottom'
        });
        wx.login({
            success(res) {
                if (res.code) {
                    _Http.loginbywechat({
                        wechat_code: res.code,
                        "systemclient": "wechatsaletool"
                    }).then(res => {
                        console.log("微信快捷登录", res)
                        if (res.code == 0) return wx.showToast({
                            title: res.msg,
                            icon: "none"
                        })
                        loginMsg.loginMsg(res);
                    })
                } else {
                    console.log('登录失败！' + res.errMsg)
                }
            }
        })
    },
    /* 用户登录 */
    userLogin() {
        if (this.data.loading || this.data.disabled) return;
        if (!this.data.isAgree) return Toast({
            message: '请阅读并勾选用户协议',
            position: 'bottom'
        });
        this.setData({
            loading: true
        })
        this.selectComponent('#login').handleLogin();
    },
    /* 授权 */
    agreementChange({
        detail
    }) {
        this.setData({
            isAgree: detail
        })
    },
    onShareAppMessage() {}
})